#
# spec file for package perl (Version 5.6.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel gdbm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl
Copyright:    GPL/Artistic License
Group:        Development/Languages/Perl
Provides:     perl-500
Autoreqprov:  on
Version:      5.6.1
Release:      64
Summary:      Perl interpreter
Source:       perl-%{version}.tar.bz2
Patch:        perl-%{version}.dif

%description
perl - Practical Extraction and Report Language
Perl is a language optimized for scanning arbitrary text
files, extracting information from those text files, and
printing reports based on that information.  It's also a
good language for many system management tasks.  The
language is intended to be practical (easy to use,
efficient, complete) rather than beautiful (tiny, elegant,
minimal).
Some of the modules available on CPAN can be found in the "perl" series.
Attention: due to security reasons we disabled the suid bit of
/usr/bin/suidperl.  If you need this feature, please add the following
line to /etc/permissions.local and run SuSEconfig.
/usr/bin/suidperl       root.root        4755

Authors:
--------
    Larry Wall, Louis J. LaBash, Jr. <llabash@siue.edu>

SuSE series: a

%prep
%setup
%patch

%build
optimize=
%ifarch alpha
# -mieee needed for bad alpha gcc optimization
optimize="-Doptimize='-O2 -pipe -mieee'"
%endif
./configure.gnu --prefix=/usr -Di_db -Di_dbm -Di_ndbm -Di_gdbm $optimize
make
# %ifnarch s390
# make test will not complete on above architectures
%ifarch i386 ppc
rm -f t/op/lfs.t
%endif
%ifarch alpha
rm -f t/op/cmp.t
rm -f t/lib/bigfltpm.t
%endif
make test
# %endif

%install
rm -fr /usr/lib/perl5
make install
for i in h2ph h2xs pod2man; do \
        pod2man /usr/bin/$i > /usr/share/man/man1/$i; done
install -d /var/adm/SuSEconfig/bin
install -d /var/adm/fillup-templates
install -m 755 SuSE/perllocal.SuSE /var/adm/SuSEconfig/bin
install -m 755 SuSE/SuSEconfig.perl /sbin/conf.d
install -m 755 SuSE/rc.config.perl /var/adm/fillup-templates
for d in . sys linux asm bits gnu net rpc; do
( cd /usr/include
  f="`echo $d/*.h`"
  test "$f" != "$d/*.h" && /usr/bin/h2ph $f
)
done
d="`gcc -print-file-name=include`"
test -f "$d/stdarg.h" && (cd $d ; /usr/bin/h2ph stdarg.h stddef.h)

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.perl
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.perl"
  echo "and update by hand."
fi

%files
/sbin/conf.d/SuSEconfig.perl
/var/adm/SuSEconfig/bin/perllocal.SuSE
/var/adm/fillup-templates/rc.config.perl
/usr/bin/a2p
/usr/bin/c2ph
/usr/bin/dprofpp
/usr/bin/find2perl
/usr/bin/h2ph
/usr/bin/h2xs
/usr/bin/perl
/usr/bin/perl5.6.1
/usr/bin/perlbug
/usr/bin/perlcc
/usr/bin/perldoc
/usr/bin/pl2pm
/usr/bin/pod2html
/usr/bin/pod2latex
/usr/bin/pod2man
/usr/bin/pod2text
/usr/bin/pod2usage
/usr/bin/podchecker
/usr/bin/podselect
/usr/bin/pstruct
/usr/bin/s2p
/usr/bin/sperl5.6.1
/usr/bin/splain
/usr/bin/suidperl
/usr/lib/perl5
%doc /usr/share/man/man1/a2p.1.gz
%doc /usr/share/man/man1/c2ph.1.gz
%doc /usr/share/man/man1/dprofpp.1.gz
%doc /usr/share/man/man1/find2perl.1.gz
%doc /usr/share/man/man1/h2ph.1.gz
%doc /usr/share/man/man1/h2ph.gz
%doc /usr/share/man/man1/h2xs.1.gz
%doc /usr/share/man/man1/h2xs.gz
%doc /usr/share/man/man1/perl.1.gz
%doc /usr/share/man/man1/perl5004delta.1.gz
%doc /usr/share/man/man1/perl5005delta.1.gz
%doc /usr/share/man/man1/perlaix.1.gz
%doc /usr/share/man/man1/perlamiga.1.gz
%doc /usr/share/man/man1/perlapi.1.gz
%doc /usr/share/man/man1/perlapio.1.gz
%doc /usr/share/man/man1/perlbook.1.gz
%doc /usr/share/man/man1/perlboot.1.gz
%doc /usr/share/man/man1/perlbot.1.gz
%doc /usr/share/man/man1/perlbs2000.1.gz
%doc /usr/share/man/man1/perlbug.1.gz
%doc /usr/share/man/man1/perlcall.1.gz
%doc /usr/share/man/man1/perlcc.1.gz
%doc /usr/share/man/man1/perlclib.1.gz
%doc /usr/share/man/man1/perlcompile.1.gz
%doc /usr/share/man/man1/perlcygwin.1.gz
%doc /usr/share/man/man1/perldata.1.gz
%doc /usr/share/man/man1/perldbmfilter.1.gz
%doc /usr/share/man/man1/perldebguts.1.gz
%doc /usr/share/man/man1/perldebtut.1.gz
%doc /usr/share/man/man1/perldebug.1.gz
%doc /usr/share/man/man1/perldelta.1.gz
%doc /usr/share/man/man1/perldiag.1.gz
%doc /usr/share/man/man1/perldoc.1.gz
%doc /usr/share/man/man1/perldos.1.gz
%doc /usr/share/man/man1/perldsc.1.gz
%doc /usr/share/man/man1/perlebcdic.1.gz
%doc /usr/share/man/man1/perlembed.1.gz
%doc /usr/share/man/man1/perlepoc.1.gz
%doc /usr/share/man/man1/perlfaq.1.gz
%doc /usr/share/man/man1/perlfaq1.1.gz
%doc /usr/share/man/man1/perlfaq2.1.gz
%doc /usr/share/man/man1/perlfaq3.1.gz
%doc /usr/share/man/man1/perlfaq4.1.gz
%doc /usr/share/man/man1/perlfaq5.1.gz
%doc /usr/share/man/man1/perlfaq6.1.gz
%doc /usr/share/man/man1/perlfaq7.1.gz
%doc /usr/share/man/man1/perlfaq8.1.gz
%doc /usr/share/man/man1/perlfaq9.1.gz
%doc /usr/share/man/man1/perlfilter.1.gz
%doc /usr/share/man/man1/perlfork.1.gz
%doc /usr/share/man/man1/perlform.1.gz
%doc /usr/share/man/man1/perlfunc.1.gz
%doc /usr/share/man/man1/perlguts.1.gz
%doc /usr/share/man/man1/perlhack.1.gz
%doc /usr/share/man/man1/perlhist.1.gz
%doc /usr/share/man/man1/perlhpux.1.gz
%doc /usr/share/man/man1/perlintern.1.gz
%doc /usr/share/man/man1/perlipc.1.gz
%doc /usr/share/man/man1/perllexwarn.1.gz
%doc /usr/share/man/man1/perllocale.1.gz
%doc /usr/share/man/man1/perllol.1.gz
%doc /usr/share/man/man1/perlmachten.1.gz
%doc /usr/share/man/man1/perlmacos.1.gz
%doc /usr/share/man/man1/perlmod.1.gz
%doc /usr/share/man/man1/perlmodinstall.1.gz
%doc /usr/share/man/man1/perlmodlib.1.gz
%doc /usr/share/man/man1/perlmpeix.1.gz
%doc /usr/share/man/man1/perlnewmod.1.gz
%doc /usr/share/man/man1/perlnumber.1.gz
%doc /usr/share/man/man1/perlobj.1.gz
%doc /usr/share/man/man1/perlop.1.gz
%doc /usr/share/man/man1/perlopentut.1.gz
%doc /usr/share/man/man1/perlos2.1.gz
%doc /usr/share/man/man1/perlos390.1.gz
%doc /usr/share/man/man1/perlpod.1.gz
%doc /usr/share/man/man1/perlport.1.gz
%doc /usr/share/man/man1/perlre.1.gz
%doc /usr/share/man/man1/perlref.1.gz
%doc /usr/share/man/man1/perlreftut.1.gz
%doc /usr/share/man/man1/perlrequick.1.gz
%doc /usr/share/man/man1/perlretut.1.gz
%doc /usr/share/man/man1/perlrun.1.gz
%doc /usr/share/man/man1/perlsec.1.gz
%doc /usr/share/man/man1/perlsolaris.1.gz
%doc /usr/share/man/man1/perlstyle.1.gz
%doc /usr/share/man/man1/perlsub.1.gz
%doc /usr/share/man/man1/perlsyn.1.gz
%doc /usr/share/man/man1/perlthrtut.1.gz
%doc /usr/share/man/man1/perltie.1.gz
%doc /usr/share/man/man1/perltoc.1.gz
%doc /usr/share/man/man1/perltodo.1.gz
%doc /usr/share/man/man1/perltoot.1.gz
%doc /usr/share/man/man1/perltootc.1.gz
%doc /usr/share/man/man1/perltrap.1.gz
%doc /usr/share/man/man1/perlunicode.1.gz
%doc /usr/share/man/man1/perlutil.1.gz
%doc /usr/share/man/man1/perlvar.1.gz
%doc /usr/share/man/man1/perlvmesa.1.gz
%doc /usr/share/man/man1/perlvms.1.gz
%doc /usr/share/man/man1/perlvos.1.gz
%doc /usr/share/man/man1/perlwin32.1.gz
%doc /usr/share/man/man1/perlxs.1.gz
%doc /usr/share/man/man1/perlxstut.1.gz
%doc /usr/share/man/man1/pl2pm.1.gz
%doc /usr/share/man/man1/pod2html.1.gz
%doc /usr/share/man/man1/pod2man.1.gz
%doc /usr/share/man/man1/pod2text.1.gz
%doc /usr/share/man/man1/pod2usage.1.gz
%doc /usr/share/man/man1/podchecker.1.gz
%doc /usr/share/man/man1/podselect.1.gz
%doc /usr/share/man/man1/pstruct.1.gz
%doc /usr/share/man/man1/s2p.1.gz
%doc /usr/share/man/man1/splain.1.gz
%doc /usr/share/man/man1/xsubpp.1.gz
%doc /usr/share/man/man3/AnyDBM_File.3pm.gz
%doc /usr/share/man/man3/AutoLoader.3pm.gz
%doc /usr/share/man/man3/AutoSplit.3pm.gz
%doc /usr/share/man/man3/B.3pm.gz
%doc /usr/share/man/man3/B::Asmdata.3pm.gz
%doc /usr/share/man/man3/B::Assembler.3pm.gz
%doc /usr/share/man/man3/B::Bblock.3pm.gz
%doc /usr/share/man/man3/B::Bytecode.3pm.gz
%doc /usr/share/man/man3/B::C.3pm.gz
%doc /usr/share/man/man3/B::CC.3pm.gz
%doc /usr/share/man/man3/B::Concise.3pm.gz
%doc /usr/share/man/man3/B::Debug.3pm.gz
%doc /usr/share/man/man3/B::Deparse.3pm.gz
%doc /usr/share/man/man3/B::Disassembler.3pm.gz
%doc /usr/share/man/man3/B::Lint.3pm.gz
%doc /usr/share/man/man3/B::Showlex.3pm.gz
%doc /usr/share/man/man3/B::Stackobj.3pm.gz
%doc /usr/share/man/man3/B::Stash.3pm.gz
%doc /usr/share/man/man3/B::Terse.3pm.gz
%doc /usr/share/man/man3/B::Xref.3pm.gz
%doc /usr/share/man/man3/Benchmark.3pm.gz
%doc /usr/share/man/man3/ByteLoader.3pm.gz
%doc /usr/share/man/man3/CGI.3pm.gz
%doc /usr/share/man/man3/CGI::Apache.3pm.gz
%doc /usr/share/man/man3/CGI::Carp.3pm.gz
%doc /usr/share/man/man3/CGI::Cookie.3pm.gz
%doc /usr/share/man/man3/CGI::Fast.3pm.gz
%doc /usr/share/man/man3/CGI::Pretty.3pm.gz
%doc /usr/share/man/man3/CGI::Push.3pm.gz
%doc /usr/share/man/man3/CGI::Switch.3pm.gz
%doc /usr/share/man/man3/CGI::Util.3pm.gz
%doc /usr/share/man/man3/CPAN.3pm.gz
%doc /usr/share/man/man3/CPAN::FirstTime.3pm.gz
%doc /usr/share/man/man3/CPAN::Nox.3pm.gz
%doc /usr/share/man/man3/Carp.3pm.gz
%doc /usr/share/man/man3/Carp::Heavy.3pm.gz
%doc /usr/share/man/man3/Class::Struct.3pm.gz
%doc /usr/share/man/man3/Config.3pm.gz
%doc /usr/share/man/man3/Cwd.3pm.gz
%doc /usr/share/man/man3/DB.3pm.gz
%doc /usr/share/man/man3/DB_File.3pm.gz
%doc /usr/share/man/man3/Data::Dumper.3pm.gz
%doc /usr/share/man/man3/Devel::DProf.3pm.gz
%doc /usr/share/man/man3/Devel::Peek.3pm.gz
%doc /usr/share/man/man3/Devel::SelfStubber.3pm.gz
%doc /usr/share/man/man3/DirHandle.3pm.gz
%doc /usr/share/man/man3/Dumpvalue.3pm.gz
%doc /usr/share/man/man3/DynaLoader.3pm.gz
%doc /usr/share/man/man3/English.3pm.gz
%doc /usr/share/man/man3/Env.3pm.gz
%doc /usr/share/man/man3/Errno.3pm.gz
%doc /usr/share/man/man3/Exporter.3pm.gz
%doc /usr/share/man/man3/Exporter::Heavy.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Command.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Embed.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Install.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Installed.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Liblist.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MM_Cygwin.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MM_OS2.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MM_Unix.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MM_VMS.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MM_Win32.3pm.gz
%doc /usr/share/man/man3/ExtUtils::MakeMaker.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Manifest.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Miniperl.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Mkbootstrap.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Mksymlists.3pm.gz
%doc /usr/share/man/man3/ExtUtils::Packlist.3pm.gz
%doc /usr/share/man/man3/ExtUtils::testlib.3pm.gz
%doc /usr/share/man/man3/Fatal.3pm.gz
%doc /usr/share/man/man3/Fcntl.3pm.gz
%doc /usr/share/man/man3/File::Basename.3pm.gz
%doc /usr/share/man/man3/File::CheckTree.3pm.gz
%doc /usr/share/man/man3/File::Compare.3pm.gz
%doc /usr/share/man/man3/File::Copy.3pm.gz
%doc /usr/share/man/man3/File::DosGlob.3pm.gz
%doc /usr/share/man/man3/File::Find.3pm.gz
%doc /usr/share/man/man3/File::Glob.3pm.gz
%doc /usr/share/man/man3/File::Path.3pm.gz
%doc /usr/share/man/man3/File::Spec.3pm.gz
%doc /usr/share/man/man3/File::Spec::Epoc.3pm.gz
%doc /usr/share/man/man3/File::Spec::Functions.3pm.gz
%doc /usr/share/man/man3/File::Spec::Mac.3pm.gz
%doc /usr/share/man/man3/File::Spec::OS2.3pm.gz
%doc /usr/share/man/man3/File::Spec::Unix.3pm.gz
%doc /usr/share/man/man3/File::Spec::VMS.3pm.gz
%doc /usr/share/man/man3/File::Spec::Win32.3pm.gz
%doc /usr/share/man/man3/File::Temp.3pm.gz
%doc /usr/share/man/man3/File::stat.3pm.gz
%doc /usr/share/man/man3/FileCache.3pm.gz
%doc /usr/share/man/man3/FileHandle.3pm.gz
%doc /usr/share/man/man3/FindBin.3pm.gz
%doc /usr/share/man/man3/GDBM_File.3pm.gz
%doc /usr/share/man/man3/Getopt::Long.3pm.gz
%doc /usr/share/man/man3/Getopt::Std.3pm.gz
%doc /usr/share/man/man3/I18N::Collate.3pm.gz
%doc /usr/share/man/man3/IO.3pm.gz
%doc /usr/share/man/man3/IO::Dir.3pm.gz
%doc /usr/share/man/man3/IO::File.3pm.gz
%doc /usr/share/man/man3/IO::Handle.3pm.gz
%doc /usr/share/man/man3/IO::Pipe.3pm.gz
%doc /usr/share/man/man3/IO::Poll.3pm.gz
%doc /usr/share/man/man3/IO::Seekable.3pm.gz
%doc /usr/share/man/man3/IO::Select.3pm.gz
%doc /usr/share/man/man3/IO::Socket.3pm.gz
%doc /usr/share/man/man3/IO::Socket::INET.3pm.gz
%doc /usr/share/man/man3/IO::Socket::UNIX.3pm.gz
%doc /usr/share/man/man3/IPC::Msg.3pm.gz
%doc /usr/share/man/man3/IPC::Open2.3pm.gz
%doc /usr/share/man/man3/IPC::Open3.3pm.gz
%doc /usr/share/man/man3/IPC::Semaphore.3pm.gz
%doc /usr/share/man/man3/IPC::SysV.3pm.gz
%doc /usr/share/man/man3/Math::BigFloat.3pm.gz
%doc /usr/share/man/man3/Math::BigInt.3pm.gz
%doc /usr/share/man/man3/Math::Complex.3pm.gz
%doc /usr/share/man/man3/Math::Trig.3pm.gz
%doc /usr/share/man/man3/NDBM_File.3pm.gz
%doc /usr/share/man/man3/Net::Ping.3pm.gz
%doc /usr/share/man/man3/Net::hostent.3pm.gz
%doc /usr/share/man/man3/Net::netent.3pm.gz
%doc /usr/share/man/man3/Net::protoent.3pm.gz
%doc /usr/share/man/man3/Net::servent.3pm.gz
%doc /usr/share/man/man3/O.3pm.gz
%doc /usr/share/man/man3/ODBM_File.3pm.gz
%doc /usr/share/man/man3/Opcode.3pm.gz
%doc /usr/share/man/man3/POSIX.3pm.gz
%doc /usr/share/man/man3/Pod::Checker.3pm.gz
%doc /usr/share/man/man3/Pod::Find.3pm.gz
%doc /usr/share/man/man3/Pod::Html.3pm.gz
%doc /usr/share/man/man3/Pod::InputObjects.3pm.gz
%doc /usr/share/man/man3/Pod::LaTeX.3pm.gz
%doc /usr/share/man/man3/Pod::Man.3pm.gz
%doc /usr/share/man/man3/Pod::ParseUtils.3pm.gz
%doc /usr/share/man/man3/Pod::Parser.3pm.gz
%doc /usr/share/man/man3/Pod::Plainer.3pm.gz
%doc /usr/share/man/man3/Pod::Select.3pm.gz
%doc /usr/share/man/man3/Pod::Text.3pm.gz
%doc /usr/share/man/man3/Pod::Text::Color.3pm.gz
%doc /usr/share/man/man3/Pod::Text::Overstrike.3pm.gz
%doc /usr/share/man/man3/Pod::Text::Termcap.3pm.gz
%doc /usr/share/man/man3/Pod::Usage.3pm.gz
%doc /usr/share/man/man3/SDBM_File.3pm.gz
%doc /usr/share/man/man3/Safe.3pm.gz
%doc /usr/share/man/man3/Search::Dict.3pm.gz
%doc /usr/share/man/man3/SelectSaver.3pm.gz
%doc /usr/share/man/man3/SelfLoader.3pm.gz
%doc /usr/share/man/man3/Shell.3pm.gz
%doc /usr/share/man/man3/Socket.3pm.gz
%doc /usr/share/man/man3/Symbol.3pm.gz
%doc /usr/share/man/man3/Sys::Hostname.3pm.gz
%doc /usr/share/man/man3/Sys::Syslog.3pm.gz
%doc /usr/share/man/man3/Term::ANSIColor.3pm.gz
%doc /usr/share/man/man3/Term::Cap.3pm.gz
%doc /usr/share/man/man3/Term::Complete.3pm.gz
%doc /usr/share/man/man3/Term::ReadLine.3pm.gz
%doc /usr/share/man/man3/Test.3pm.gz
%doc /usr/share/man/man3/Test::Harness.3pm.gz
%doc /usr/share/man/man3/Text::Abbrev.3pm.gz
%doc /usr/share/man/man3/Text::ParseWords.3pm.gz
%doc /usr/share/man/man3/Text::Soundex.3pm.gz
%doc /usr/share/man/man3/Text::Tabs.3pm.gz
%doc /usr/share/man/man3/Text::Wrap.3pm.gz
%doc /usr/share/man/man3/Tie::Array.3pm.gz
%doc /usr/share/man/man3/Tie::Handle.3pm.gz
%doc /usr/share/man/man3/Tie::Hash.3pm.gz
%doc /usr/share/man/man3/Tie::RefHash.3pm.gz
%doc /usr/share/man/man3/Tie::Scalar.3pm.gz
%doc /usr/share/man/man3/Tie::SubstrHash.3pm.gz
%doc /usr/share/man/man3/Time::Local.3pm.gz
%doc /usr/share/man/man3/Time::gmtime.3pm.gz
%doc /usr/share/man/man3/Time::localtime.3pm.gz
%doc /usr/share/man/man3/Time::tm.3pm.gz
%doc /usr/share/man/man3/UNIVERSAL.3pm.gz
%doc /usr/share/man/man3/User::grent.3pm.gz
%doc /usr/share/man/man3/User::pwent.3pm.gz
%doc /usr/share/man/man3/Win32.3pm.gz
%doc /usr/share/man/man3/XSLoader.3pm.gz
%doc /usr/share/man/man3/attributes.3pm.gz
%doc /usr/share/man/man3/attrs.3pm.gz
%doc /usr/share/man/man3/autouse.3pm.gz
%doc /usr/share/man/man3/base.3pm.gz
%doc /usr/share/man/man3/blib.3pm.gz
%doc /usr/share/man/man3/bytes.3pm.gz
%doc /usr/share/man/man3/charnames.3pm.gz
%doc /usr/share/man/man3/constant.3pm.gz
%doc /usr/share/man/man3/diagnostics.3pm.gz
%doc /usr/share/man/man3/fields.3pm.gz
%doc /usr/share/man/man3/filetest.3pm.gz
%doc /usr/share/man/man3/integer.3pm.gz
%doc /usr/share/man/man3/less.3pm.gz
%doc /usr/share/man/man3/lib.3pm.gz
%doc /usr/share/man/man3/locale.3pm.gz
%doc /usr/share/man/man3/open.3pm.gz
%doc /usr/share/man/man3/ops.3pm.gz
%doc /usr/share/man/man3/overload.3pm.gz
%doc /usr/share/man/man3/re.3pm.gz
%doc /usr/share/man/man3/sigtrap.3pm.gz
%doc /usr/share/man/man3/strict.3pm.gz
%doc /usr/share/man/man3/subs.3pm.gz
%doc /usr/share/man/man3/utf8.3pm.gz
%doc /usr/share/man/man3/vars.3pm.gz
%doc /usr/share/man/man3/warnings.3pm.gz
%doc /usr/share/man/man3/warnings::register.3pm.gz

%changelog -n perl
* Wed Sep 12 2001 - mls@suse.de
- Fixed h2ph macro expansion/redefinition bugs.
- Moved *.ph creation from SuSEconfig to spec file.
* Fri Aug 31 2001 - schwab@suse.de
- Remove ia64 workarounds.
* Wed Jun 20 2001 - mls@suse.de
- bzip2 source
* Wed Jun 20 2001 - mls@suse.de
- Update to perl-5.6.1
- Merged linux-alpha.sh and linux-sparc.sh into linux.sh
- axp compiler workaround: add -mieee
- use /lib64:/usr/lib64 on sparc64
* Mon Jun 11 2001 - schwab@suse.de
- Remove ElectricFence from neededforbuild (got added by accident).
* Fri Apr 13 2001 - schwab@suse.de
- Build with -O0 on ia64.
* Mon Mar 26 2001 - schwab@suse.de
- Fix equality operator for systems that don't have NV_PRESERVES_UV.
- Reenable some tests on ia64.
* Thu Feb 22 2001 - schwab@suse.de
- Fix POSIX module.
* Tue Dec 05 2000 - schwab@suse.de
- Disable some problematic tests on ia64.
- Merge ia64 configuration with generic linux.
* Thu Oct 26 2000 - ro@suse.de
- use new db for DB_File
- perl binary is no longer linked to any db lib
* Tue Oct 10 2000 - ro@suse.de
- Config.pm: set $perl to 'perl'
- bzipped sources
- added some mandir patches
* Mon Sep 25 2000 - ro@suse.de
- no test for lfs on ppc
* Wed Aug 16 2000 - ro@suse.de
- update to 5.6.0
* Tue Aug 15 2000 - ro@suse.de
- Security fix (/bin/mail+suidperl) added (from draht@suse.de)
* Fri Jul 14 2000 - kukuk@suse.de
- Add license information and group tag (Bug #3454)
* Tue Jul 11 2000 - ro@suse.de
- make perllocal.SuSE script more flexible
* Sat Apr 01 2000 - bk@suse.de
- some tests don't pass on s390 too, known.
* Fri Mar 03 2000 - schwab@suse.de
- Add support for ia64.
* Wed Jan 19 2000 - ro@suse.de
- man -> /usr/share/man ; affects all perl packages
* Tue Dec 14 1999 - kukuk@suse.de
- Fixed for SPARC
* Tue Nov 02 1999 - ro@suse.de
- do h2ph for stdarg and stddef (BUG#785)
* Tue Oct 19 1999 - ro@suse.de
- don't print error if /usr/src/linux is not owned by a package
  (BUG#215)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - ro@suse.de
- added "gnu","net" and "rpc" to directories for h2ph
* Fri Jul 09 1999 - ro@suse.de
- added "bits" to directories for h2ph (closing BUG 58)
* Thu Jul 08 1999 - ro@suse.de
- fix for perldoc
- update to 5.005_03
* Mon Mar 01 1999 - ro@suse.de
- t/lib/anydbm: removed test 12 : create empty record: invalid for db2
* Thu Jan 07 1999 - ro@suse.de
- alpha changes ; dont "make test" on alpha for now :-(
* Mon Nov 16 1998 - ro@suse.de
- update to 5.00502
- fixed manpages for h2ph, h2xs, pod2man
- use configure.gnu
- keep SuSEconfig.perl from using more time than needed
* Fri Aug 28 1998 - ro@suse.de
- updated to version perl5.004_05-MAINT_TRIAL_5
- updated filelist
- temporarily disablet test op/group.t for nobody/nogroup problem
* Wed Aug 19 1998 - ro@suse.de
- added security-patches for pstruct and perldoc
* Fri Jul 24 1998 - bs@suse.de
- enabled bincompat3
* Thu Jul 09 1998 - ro@suse.de
- added some security and glib-patches (doio.c, perl.c)
- re-added support for gdbm
* Mon Jul 06 1998 - ro@suse.de
- added rc.config.perl with variables:
  CREATE_PERLLOCAL_POD="yes"
  GENERATE_PERL_SYSTEM_INCLUDES="yes"
* Mon Jul 06 1998 - ro@suse.de
- added SuSEconfig.perl and perllocal.SuSE
  + check if kernel-sources have changed and call h2ph
  + check installed modules and add/delete entries in perllocal.pod
* Thu Jan 22 1998 - florian@suse.de
- use a fixed path as architecture name
* Tue Nov 11 1997 - florian@suse.de
- fixed file list
- update to perl 5.004_04
* Tue Oct 14 1997 - ro@suse.de
- ready for autobuild
  updated file list
* Thu Oct 09 1997 - florian@suse.de
- prepare for autobuild
* Tue May 20 1997 - florian@suse.de
- update to version 5.004
- disable hooks to csh in perl, it is not installed on all systems
* Thu Jan 02 1997 - bs@suse.de
  h2ph call in doinst.sh added.
* Thu Jan 02 1997 - florian@suse.de
  update to version 5.003
  security fix for suidperl
